
QGIS Application - Bug report #18438

QGIS Crashed with option selected feature on top

2018-03-14 10:32 AM - Mark Verlaat

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26326

Description

User Feedback

I selected a feature with the option to put the selected item on top. QGIS Crashed for the 5th time now, this is definitely a bug.

Report Details

Crash ID: b689d4a3c2353e64d4f8fbbf428755fd93573c68

Stack Trace

QgsAttributeTableFilterModel::sort :

QgsAttributeTableFilterModel::selectionChanged :

QMetaObject::activate :

QgsVectorLayer::selectionChanged :

QgsVectorLayer::removeSelection :

QgsMapToolSelectRadius::updateRubberband :

QgsMapToolSelectFeatures::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-03-15 02:11 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Can you share a project/data file which demonstrates this?

#2 - 2018-08-23 08:19 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
